
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>vim插件管理之Vundle / 憋错料</title>

    <meta name="description" content="vim插件管理之Vundle Vim是一个类似于Vi的著名的功能强大.高度可定制的文本编辑器,在Vi的基础上改进和增加了很多特性.正是由于其可定制的特性, 许许多多的Vim插件便诞生了.管理这些插件又成为我们最为头疼的问题,最近无意中发现了Vundle----其特色在于使用git来管理插件, 更新方便,支持搜索,一键更新,从此只需要一个vimrc走天下.那么下面我们就来看看如何安装和配置Vundle: 1.在用户根目录下创建.vim/bundle目录(如果在用户根目录没有的这些目录的话) 2.将vundle拷贝到./vim/">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">vim插件管理之Vundle</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Vim是一个类似于Vi的著名的功能强大、高度可定制的文本编辑器，在Vi的基础上改进和增加了很多特性。正是由于其可定制的特性，</p>
<p>许许多多的Vim插件便诞生了。管理这些插件又成为我们最为头疼的问题，最近无意中发现了Vundle----其特色在于使用git来管理插件,</p>
<p>更新方便，支持搜索，一键更新，从此只需要一个vimrc走天下。那么下面我们就来看看如何安装和配置Vundle：</p>
<p>1.在用户根目录下创建.vim/bundle目录（如果在用户根目录没有的这些目录的话）</p>
<p>　　 2.将vundle拷贝到./vim/bundle中去：<code>git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim</code></p>
<p>　　 3.配置vundle：在用户根目录下创建.vimrc文件（如果没有的话），并将以下代码拷贝到该文件中：</p>
<pre>set nocompatible              " be iMproved, required
filetype off                  " required

" set the runtime path to include Vundle and initialize
set rtp+=~/.vim/bundle/Vundle.vim
call vundle#begin()
" alternatively, pass a path where Vundle should install plugins
"call vundle#begin(‘~/some/path/here‘)

" let Vundle manage Vundle, required
Plugin ‘VundleVim/Vundle.vim‘

" The following are examples of different formats supported.
" Keep Plugin commands between vundle#begin/end.
" plugin on GitHub repo
Plugin ‘tpope/vim-fugitive‘
" plugin from http://vim-scripts.org/vim/scripts.html
Plugin ‘L9‘
" Git plugin not hosted on GitHub
Plugin ‘git://git.wincent.com/command-t.git‘
" git repos on your local machine (i.e. when working on your own plugin)
Plugin ‘file:///home/gmarik/path/to/plugin‘
" The sparkup vim script is in a subdirectory of this repo called vim.
" Pass the path to set the runtimepath properly.
Plugin ‘rstacruz/sparkup‘, {‘rtp‘: ‘vim/‘}
" Avoid a name conflict with L9
Plugin ‘user/L9‘, {‘name‘: ‘newL9‘}

" All of your Plugins must be added before the following line
call vundle#end()            " required
filetype plugin indent on    " required
" To ignore plugin indent changes, instead use:
"filetype plugin on
"
" Brief help(简介)
" :PluginList       - lists configured plugins（列出已经配置的插件）
" :PluginInstall    - installs plugins; append `!` to update or just :PluginUpdate（安装插件；添加&ldquo;!&rdquo;表示升级文件或者仅仅使用PluginUpdate)
" :PluginSearch foo - searches for foo; append `!` to refresh local cache(查找相关插件)
" :PluginClean      - confirms removal of unused plugins; append `!` to auto-approve removal(清理相关插件)
"
" see :h vundle for more details or wiki for FAQ(使用":h"查看帮助）
" Put your non-Plugin stuff after this line</pre>
<p>　　 4.安装插件：运行vim，之后运行":PluginInstall"命令即可安装.vimrc文件中配置的插件</p>
<p>详情请前往<a href="https://github.com/VundleVim/Vundle.vim" rel="external nofollow noreferrer">Vundle官方网站</a>查看</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 02:52:00 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>vim插件管理之Vundle的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZpVxGM.html" rel="bookmark">Vim插件管理器Vundle使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.linuxidc.com/Linux/2012-12/75684.htm Vundle(Vim bundle) 是一个vim的插件管理器. 其Github地址为: https://github.com/gmarik/vundle 如何使用Vundle  (个人使用环境为Ubuntu 12.10) 1. 从Github下载vundle到本地: $  git clone https://github.com/gmarik/vundle.git  ~/.vim/bundle/vu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPOwda4.html" rel="bookmark">Vim插件管理利器&mdash;&mdash;Vundle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/jiaolongdy/article/details/17889787/ Vundle是基于Git仓库的插件管理软件.Vundle将插件的安装简化为类似yum软件安装的过程,只要:BundleInstall插件就安装完了,:BundleClean之后插件就卸载了. 一.Vundle的安装和使用 1. Vundle的安装 $ git clone http://github.com/gmarik/vundle.git ~/.vim/bundle/vun			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBebWA4.html" rel="bookmark">vim插件管理器Vundle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.vim为什么需要插件管理器 按照正常的vim插件安装包括去官网下载.解压.拷贝到VIM的安装目录以及运行:help tags这几个步骤.这些步骤已经足够复杂,更加无法想象的是要更新或者删除一个插件时,因为它的文件分布在各个目录下,就比如Windows上的安装路径,Applicationdata,用户数据,注册表等等,除非你对VIM的插件机制和要删的插件了如直掌,否则你能难将它删除干净.所以一段时间之后,VIM的安装目录下简直就是一团乱麻,管理插件几乎成为了一项不可能完成的任务.插件管理器也是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YmXvO0.html" rel="bookmark">vim插件安装&mdash;&mdash;使用vundle管理插件（重点是第三节，前面两节可放肆跳过）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				时间:2014.08.06 地点:宿舍 ------------------------------------------------------------------------------------- 今晚决定把vim环境搭起来,主要是各种插件,然后就可以过上幸福的生活了. 一.安装插件管理插件pathogen 1. pathogen是一个插件管理插件,方便管理vim中的插件,有了它,一切都变得容易.下载pathogen,https://github.com/tpope/vim-pat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmABjPM.html" rel="bookmark">&lbrack;Tools&rsqb; Vim插件管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在使用插件的时候,都不希望插件安装的很杂乱,它不是一个看不见的黑盒,也为了下次方便在其它地方安装. 由于要方便插件管理,于是有了 Vundle,以下做些介绍: 1. 一个插件管理器, 自己本身也是插件, 这是必需工具: git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim 2. Vundle 在 .vimrc 中通过以下配置项来管理其它插件: &quot;######################			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgeLBg3.html" rel="bookmark">vim插件管理 - vim-plug</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vim-plug是一款轻量的vim插件管理工具. GitHub:https://github.com/junegunn/vim-plug 插件的安装 unix curl -fLo ~/.vim/autoload/plug.vim --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim 或者直接下载,然后移动到~/.vim/autoload/下. 配置 编辑~/.vimrc,将以下复制到其中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NGwD6M.html" rel="bookmark">vim 插件管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 进入自己的vim mkdir ./bundile/vundle 2 在vim同级中执行 git clone https://github.com/gmarik/vundle.git ./bundle/vundle   将一些插件文件 下载到./bundle/vundle中 3 编写自己的vim配置 set nocompatible &quot; be iMproved filetype off &quot; required! set rtp+=/Applications/MacVim.app/Con			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q7QnQ0.html" rel="bookmark">Vim插件之插件管理器Vundle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Vundle 项目托管在github上 https://github.com/VundleVim/Vundle.vim 其特色在于使用git来管理插件,更新方便,支持搜索,一键更新,从此只需要一个vimrc走天下. 安装与配置 安装Vundle $ git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim 配置Plugins set nocompatible &quot; be iMproved, requ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MElNlK4.html" rel="bookmark">Vim插件管理 -- Vundle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 插件目录  -/.vim/bundle/ 没有可自行创建 2 安装Vundle  $ git clone https://github.com/VundleVim/Vundle.vim.git   -/.vim/bundle/Vundle.vim 3 配置插件  vi ~/.vimrc 添加: set nocompatible &quot; be iMproved, required filetype off &quot; required &quot; set the runtime path to			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KabLY4.html" rel="bookmark" class="title">微软职位内部推荐-Software Development Engineer II</a>
					<div>
						微软近期Open的职位: SDE II Organization Summary: Engineering, Customer interactions &amp; Online (ECO) is l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pPA6M.html" rel="bookmark" class="title">在win7系统下使用TortoiseGit&lpar;乌龟git&rpar;简单操作&lbrack;email&amp;&num;160&semi;protected&rsqb;</a>
					<div>
						非常感谢OSC提供了这么好的一个国内的免费的git托管平台.这里简单说下TortoiseGit操作的流程.很傻瓜了 首先你要准备两个软件,分别是msysgit和tortoisegit,乌龟还可以在下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8w7R4.html" rel="bookmark" class="title">交换机实现vlan访问以及vlan间互访</a>
					<div>
						1.交换机实现vlan访问 对pc0设置:192.168.2.1   255.255.255.0 对pc1设置:192.168.3.1   255.255.255.0 对pc2设置:192.168.2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZA6oD0.html" rel="bookmark" class="title">Netty 中 IOException&colon; Connection reset by peer 与 java&period;nio&period;channels&period;ClosedChannelException&colon; null</a>
					<div>
						最近发现系统中出现了很多 IOException: Connection reset by peer 与 ClosedChannelException: null 深入看了看代码, 做了些测试, 发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MomkGl3.html" rel="bookmark" class="title">算法练习--直接插入排序、希尔排序</a>
					<div>
						背景: 原来虽然有学过数据结构,排序一些,但是没有好好学,现在复习一下. 正题: 1.直接插入排序 直接贴一下百科:每次取出无序数组中的一个数,把他和有序数组中的数比较,插到适当位置,直到无序表为空, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpW1d3.html" rel="bookmark" class="title">图片轮显效果大全</a>
					<div>
						综合各种效果的图片轮显 &lt;SCRIPT language=&quot;VBScript&quot;&gt;Dim FileList,FileListArr,TxtList,TxtListArrF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l7kLWM.html" rel="bookmark" class="title">不可或缺 Windows Native &lpar;14&rpar; - C&plus;&plus;&colon; 文件</a>
					<div>
						[源码下载] 作者:webabcd 介绍不可或缺 Windows Native 之 C++ 文件 示例CppIO2.h #pragma once #include &lt;string&gt; usi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pNznP0.html" rel="bookmark" class="title">Android 应用程序集成FaceBook 登录及二次封装</a>
					<div>
						1.首先在Facebook 开发者平台注册一个账号 https://developers.facebook.com/ 开发者后台  https://developers.facebook.com/ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y1doy0.html" rel="bookmark" class="title">ab压测 apr&lowbar;socket&lowbar;recv&colon; Connection reset by peer &lpar;104&rpar;错误解决方法</a>
					<div>
						用apache自带ab命令进行压测,报了如下错误: 原因是在ab的程序源码中对并发数有限制. 解决办法:修改apache源码support下面的ab.c源代码,然后重新编译.修改内容如下:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ezQwp3.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb; Find Minimumin Rotated Sorted Array II</a>
					<div>
						题意:在旋转过的有序数组中找到最小数,数组中可能有重复元素 思路:二分,判断是否有相等的元素,主要是二分的时候的一些细节,比如说是有序的还是rotated 代码: public int findMin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wZoP0.html" rel="bookmark" class="title">java代理ip有效检测</a>
					<div>
						java实现代理ip有效检测,依赖Apache的HttpClient 正式版:       /** * 批量代理IP有效检测 * * @param proxyIpMap * @param reqUrl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AxW7y3.html" rel="bookmark" class="title">HBase数据的导入导出</a>
					<div>
						1.导出: hbase org.apache.hadoop.hbase.mapreduce.Driver export 表名 导出存放路径 其中数据文件位置可为本地文件目录,也可以分布式文件系统hdf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDlBxeM.html" rel="bookmark" class="title">使用集中日志服务器收集softether日志，并用ELK &lpar;elasticsearch &plus; logstash &plus; kibana&rpar; 查询</a>
					<div>
						启用远程syslog: On CentOS 6.5 syslog server: mkdir /var/log/softether vi /etc/rsyslog.conf# Provides UDP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YWYRa4.html" rel="bookmark" class="title">浅谈如何做一名优秀的WEB前端工程师</a>
					<div>
						浅谈如何做一名优秀的WEB前端工程师 随着近两三年来RIA(Rich Internet Applications的缩写,中文含义为:丰富的因特网应用程序)的流行和普及,前端开发这个行业也开始备受关注. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q8ze70.html" rel="bookmark" class="title">1005&period; Spell It Right &lpar;20&rpar;&mdash;&mdash;PAT &lpar;Advanced Level&rpar; Practise</a>
					<div>
						题目信息: 1005. Spell It Right (20) 时间限制 400 ms 内存限制 32000 kB 代码长度限制 16000 B 判题程序 Standard 作者 CHEN, Yue  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49On5J0.html" rel="bookmark" class="title">Php版本的GetElementById</a>
					<div>
						&lt;?php /** * Created by PhpStorm. * User: c.yu * Date: 14-8-2 * Time: 下午11:11 */ function GetEleme ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rxqp54.html" rel="bookmark" class="title">洛谷P1979 华容道 &lbrack;NOIP2013&rsqb;</a>
					<div>
						题目描述 [问题描述] 小 B 最近迷上了华容道,可是他总是要花很长的时间才能完成一次.于是,他想到用编程来完成华容道:给定一种局面, 华容道是否根本就无法完成,如果能完成, 最少需要多少时间. 小  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEqYYPM.html" rel="bookmark" class="title">oracle归档日志配置查询</a>
					<div>
						归档日志(Archive Log)是非活动的重做日志备份.通过使用归档日志,可以保留所有重做历史记录,当数据库处于ARCHIVELOG模式并进行日志切换式,后台进程ARCH会将重做日志的内容保存到归档 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eYVgZ0.html" rel="bookmark" class="title">&lbrack;转载&rsqb;在Vmware ESXI中安装群晖Synology DSM 5&period;0 &lpar;4528&rpar;</a>
					<div>
						转载 在Vmware ESXI中安装群晖Synology DSM 5.0 (4528) 文件准备 Vmware ESXi用户安装需要的文件 NB_x64_5032_DSM_50-4528_Xpenol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWeKYa3.html" rel="bookmark" class="title">iOS 高级框架的介绍</a>
					<div>
						Core Data.Core Graphics.Core Animation 和 OpenGL ES 框架,是对于应用程序开发很重要的高级技术,因此需要花时间来学习和掌握. Core Data 框架管 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
